package com.zivilon.cindercore.mixins;

import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Dynamic;
import org.spongepowered.asm.mixin.Shadow;
import org.spongepowered.asm.mixin.Mutable;
import org.spongepowered.asm.mixin.gen.Accessor;
import net.minecraft.network.play.server.S23PacketBlockChange;
import net.minecraft.block.Block;

@Mixin(S23PacketBlockChange.class)
public interface MixinS23PacketBlockChange {

    @Accessor("field_148887_a")
    int get_x();

    @Accessor("field_148885_b")
    int get_y();
    
    @Accessor("field_148886_c")
    int get_z();

    @Accessor("field_148883_d")
    Block get_block();

    @Accessor("field_148883_d")
    void set_block(Block block);

}
